Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.api
Interface Domain

All Known Implementing Classes:
  SimpleDomainImpl

    public interface Domain

Method Summary
`void` | `addAsset(String name, String path)`
`void` | `addKsessionRepositoryRoot(String ksession, String ksessionRepositoryRoot)`
`void` | `addProcessBPMN2ContentToKsession(String ksessionName, String processId, String bpmn2Content)`
`void` | `addProcessDefinitionToKsession(String ksession, org.kie.commons.java.nio.file.Path path)`
`void` | `addRulesDefinitionToKsession(String ksession, org.kie.commons.java.nio.file.Path path)`
`void` | `clear()`
`Map<String,String>` | `getAllProcesses()`
`Map<String,String>` | `getAssetsDefs()`
`Map<String,String>` | `getKsessionRepositoryRoot()`
`String` | `getName()`
`String` | `getProcessDefinitionBPMN2(String ksessionName, String processId)`
`Map<String,List<org.kie.commons.java.nio.file.Path>>` | `getProcessDefinitionFromKsession()`
`Map<String,String>` | `getProcessesBySession(String kSessionName)`
`Map<String,List<org.kie.commons.java.nio.file.Path>>` | `getRulesDefinitionFromKsession()`
`void` | `setAssetsDefs(Map<String,String> assetsDefs)`
`void` | `setKsessionRepositoryRoot(Map<String,String> ksessionRepositoryRoot)`
`void` | `setName(String name)`
`void` | `setProcessDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionAssets)`
`void` | `setRulesDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionRulesDefinitions)`

Method Detail

### setName

    void setName(String name)

### getName

    String getName()

### getAssetsDefs

    Map<String,String> getAssetsDefs()

### setAssetsDefs

    void setAssetsDefs(Map<String,String> assetsDefs)

### addAsset

    void addAsset(String name,
                  String path)

### getProcessDefinitionFromKsession

    Map<String,List<org.kie.commons.java.nio.file.Path>> getProcessDefinitionFromKsession()

### setProcessDefinitionToKsessions

    void setProcessDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionAssets)

### addProcessDefinitionToKsession

    void addProcessDefinitionToKsession(String ksession,
                                        org.kie.commons.java.nio.file.Path path)

### addProcessBPMN2ContentToKsession

    void addProcessBPMN2ContentToKsession(String ksessionName,
                                          String processId,
                                          String bpmn2Content)

### getAllProcesses

    Map<String,String> getAllProcesses()

### getProcessesBySession

    Map<String,String> getProcessesBySession(String kSessionName)

### getProcessDefinitionBPMN2

    String getProcessDefinitionBPMN2(String ksessionName,
                                     String processId)

### addRulesDefinitionToKsession

    void addRulesDefinitionToKsession(String ksession,
                                      org.kie.commons.java.nio.file.Path path)

### getRulesDefinitionFromKsession

    Map<String,List<org.kie.commons.java.nio.file.Path>> getRulesDefinitionFromKsession()

### setRulesDefinitionToKsessions

    void setRulesDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionRulesDefinitions)

### getKsessionRepositoryRoot

    Map<String,String> getKsessionRepositoryRoot()

### addKsessionRepositoryRoot

    void addKsessionRepositoryRoot(String ksession,
                                   String ksessionRepositoryRoot)

### setKsessionRepositoryRoot

    void setKsessionRepositoryRoot(Map<String,String> ksessionRepositoryRoot)

### clear

    void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.